- Qt 5.15
- Qt 3D
- C++ Classes
- QMesh
- Qt 5.15.11 Reference Documentation

# QMesh Class

class Qt3DRender::QMesh

A custom mesh loader. More...

Header: | #include <Qt3DRender/QMesh>
qmake: | QT += 3drender
Instantiated By: | Mesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Public Types

enum | Status { None, Loading, Ready, Error }

## Properties

- meshName : QString
- source : QUrl
- status : const Status

## Public Functions

QString | meshName() const
QUrl | source() const
Status | status() const

## Public Slots

void | setMeshName(const QString &meshName)
void | setSource(const QUrl &source)

## Signals

void | meshNameChanged(const QString &meshName)
void | sourceChanged(const QUrl &source)
void | statusChanged(Status status)

## Detailed Description

Loads mesh data from external files in a variety of formats. Qt3DRender::QMesh loads data into a single mesh.

In Qt3D 5.9, QMesh supports the following formats:

- Wavefront OBJ
- Stanford Triangle Format PLY
- STL (STereoLithography)

QMesh will also support the following format if the SDK is installed and the fbx geometry loader plugin is built and found:

- Autodesk FBX

If you wish to load an entire scene made of several objects, you should rather use the Qt3DRender::QSceneLoader instead.

See also Qt3DRender::QSceneLoader.

## Member Type Documentation

### enum QMesh::Status

This enum identifies the status of shader used.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QMesh::None` | `0` | A source mesh hasn't been assigned a source yet
`Qt3DRender::QMesh::Loading` | `1` | The mesh geometry is loading
`Qt3DRender::QMesh::Ready` | `2` | The mesh geometry was successfully loaded
`Qt3DRender::QMesh::Error` | `3` | An error occurred while loading the mesh

## Property Documentation

### meshName : QString

Holds the name of the mesh.

Access functions:

QString | meshName() const
void | setMeshName(const QString &meshName)

Notifier signal:

void | meshNameChanged(const QString &meshName)

### source : QUrl

Holds the source url to the file containing the custom mesh.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

### status : const Status

Holds the status of the mesh loading.

Access functions:

Status | status() const

Notifier signal:

void | statusChanged(Status status)

See also Qt3DRender::QMesh::Status.